#Visualize {
  & h1 {
    font-family: "Pathway Gothic One", sans-serif;
    font-size: 47px;
    font-weight: 400;
    text-transform: uppercase;
    margin: 0 0 20px;
    width: 100%;
  }
  & .custom-controls {
    & .pt-popover-target {
      width: 100%;
    }
    & .pt-button {
      margin-bottom: 15px;
    }
    & .absolute-title {
      left: 15px;
      position: absolute;
      top: 25px;
      width: auto;
      & h1 {
        cursor: help;
        display: inline-block;
        width: auto;
      }
      @media (max-width: 600px) {
        padding: 0 25px;
      }
    }
  }
}

.vizbuilder {
  background-color: var(--white);
  /* height: calc(100vh - var(--nav-height) - var(--banner-height)); */
  height: calc(100vh - var(--nav-height));
  margin-top: var(--nav-height);
  @media (max-width: 600px) {
    align-items: center;
    flex-direction: column;
    height: auto;
  }
  & .area-middle {
    & .toggle-sidebar {
      top: 28px;
      & .pt-button {
        background: none;
        box-shadow: none;
        &:before {
          color: var(--red);
        }
      }
    }
    @media (max-width: 600px) {
      left: 0;
      position: fixed;
      top: 40px;
    }
  }
  & .area-sidebar {
    /* height: calc(100vh - var(--nav-height) - var(--banner-height)); */
    height: calc(100vh - var(--nav-height));
    padding-top: calc(var(--nav-height) + 25px);
    position: relative;
    width: 300px;
    @media (max-width: 600px) {
      display: block;
      flex: 0;
      height: auto;
      padding: calc(var(--nav-height) + 25px) 25px 0;
      width: 100%;
    }
    & .sources .pt-select {
      margin-top: 5px;
    }
    & .pt-checkbox {
      color: var(--red);
      cursor: pointer;
      display: block;
      font-family: "Palanquin", sans-serif;
      font-size: 12px;
      font-weight: 600;
      margin: 10px 5px 0;
      letter-spacing: 0.55px;
    }
    & .label {
      color: var(--darkgray);
      font-family: "Palanquin", sans-serif;
      font-size: 10px;
      font-weight: 700;
      letter-spacing: 1px;
      margin-bottom: 5px;
      text-align: left;
      text-transform: uppercase;
    }
    & .select-target-wrapper, & .select-wrapper {
      border: 1px solid #bbb !important;
      width: 100%;
      & .select-option {
        padding: 4px 9px;
      }
    }
    & .dims {
      & .pt-tag {
        font-size: 10px;
        font-weight: 700;
        margin: 1px 2px 1px 0;
        opacity: 0.5;
        padding: 0px 3px 1px;
      }
    }
    & .select-item {
      padding: 4px 7px 7px;
      & .select-label {
        white-space: normal;
      }
    }
    & .select-option {
      background: white;
      color: #949494;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      &:hover {
        background: rgb(241, 241, 241);
      }
    }
    & .select-measure {
      & .pt-input-group input {
        border-radius: 0;
      }
    }
    & .pt-popover-content {
      max-width: 269px;
      padding: 0;
      & .select-popover-content {
        min-width: 269px;
        & .virtlist-wrapper {
          margin-top: 0;
          & li {
            list-style: none;
            padding: 0;
            & .topic  {
              color: var(--black);
              font-size: 14px;
              padding: 7px 7px 0;
              &:last-child {
                padding-bottom: 7px;
              }
            }
            & .subtopic {
              padding: 0 7px 7px;
            }
          }
        }
        & .deeplist-wrapper {
          margin-top: 0;
        }
        & .deeplist-header {
          & .deeplist-title {
            padding: 0;
            & .topic  {
              color: var(--black);
              font-size: 14px;
              padding: 7px 7px 0;
              &:last-child {
                padding-bottom: 7px;
              }
            }
            & .subtopic {
              padding: 0 7px 7px;
            }
          }
          & .pt-button {
            background: none;
            border: 0;
            box-shadow: none;
            color: var(--red);
            margin-right: 5px;
            opacity: 0.75;
            outline: 0;
            &:before {
              color: var(--red);
              font-size: 14px;
              margin-right: 5px;
            }
            &:hover {
              opacity: 1;
            }
          }
        }
      }
    }
    & .grouping-level .select-popover-content input,
    & .grouping-level .select-popover-content .pt-icon-search {
      display: none;
    }
    & .grouping-items, & .filter-items {
      & .pt-popover-content {
        max-width: 248px;
        padding: 0;
        & .select-popover-content {
          min-width: 248px;
        }
        & input {
          border-radius: 0;
        }
        & .padded {
          padding-left: 15px;
        }
      }
      & .grouping-item, & .filter-item {
        background-color: white;
        border: 1px solid #bbb;
        color: var(--darkgray);
        font-family: "Palanquin", sans-serif;
        font-size: 13px;
        padding: 10px;
        & .grouping-name {

        }
        &.editing {
          & .grouping-members {
            & .select-member {
              background-color: transparent;
              border-radius: 0;
              margin: 0;
              padding: 0;
              width: 100%;
              & > span {
                width: 100%;
              }
              & .pt-tag-input {
                border: 0;
                border-radius: 0;
                & .pt-input-ghost {
                  font-size: 13px;
                  margin-bottom: 3px;
                  padding: 0 8px;
                }
              }
            }
          }
        }
        &:not(.editing) {
          & .grouping-members {
            & > span {
              background-color: #eee;
              border-radius: 3px;
              display: inline-block;
              font-size: 12px;
              font-weight: 800;
              margin: 5px 5px 0 0;
              padding: 2px 5px 3px;
            }
            & .select-member {
              background-color: transparent;
              border-radius: 0;
              margin: 0;
              padding: 0;
              width: 100%;
            }
          }
        }
        & .filter-name, & .filter-operator, & .filter-value {
          display: inline-block;
          font-size: 13px;
          margin-right: 0;
          margin-bottom: 3px;
          text-transform: none;
        }
        & .filter-operator {
          text-transform: lowercase;
        }
        & .filter-value {
          background-color: #eee;
          border-radius: 3px;
          display: inline-block;
          font-size: 12px;
          font-weight: 800;
          padding: 2px 5px 3px;
        }
        & .pt-numeric-input {
          & input, & .pt-button-group {
            border-radius: 0;
            height: 35px;
          }
          & .pt-button-group {
            height: 35px;
            & button {
              border-radius: 0;
              flex: 1;
            }
          }
        }
        & .actions {
          margin-top: 5px;
          & button {
            background: none;
            border: 1px solid var(--red);
            border-radius: 0;
            box-shadow: none;
            color: var(--red);
            font-size: 13px;
            font-weight: 600;
            margin-left: 5px;
            &.pt-intent-primary {
              background: var(--red);
              color: white;
            }
          }
        }
      }
    }
    & .pt-button.pt-icon-insert, & .pt-button.pt-icon-shopping-cart, & .pt-button.pt-icon-undo {
      background: none;
      border: 1px solid var(--red);
      border-radius: 0;
      box-shadow: none;
      color: var(--red);
      font-size: 13px;
      font-weight: 600;
      text-align: center;
      transition: background 0.1s, color 0.1s;
      &.pt-disabled {
        display: none;
      }
      &:before {
        color: var(--red);
        font-size: 13px;
        transition: color 0.1s;
      }
      &:hover {
        background: var(--red);
        color: white;
        &:before {
          color: white;
        }
      }
    }
    & .control:last-child {
      margin-bottom: 0;
    }
    & .ranking {
      & ol {
        font-family: "Palanquin", sans-serif;
        font-weight: 300;
        font-size: 12px;
        line-height: 16px;
        margin-bottom: 20px;
        padding-left: 30px;
        width: 100%;
        &:last-child {
          margin-bottom: 0;
        }
        & .ranking-item {
          padding: 2px 5px;
          & .item-label {

          }
          & .item-value {
            font-weight: 500;
          }
        }
      }
    }
  }
  & .area-chart {
    flex: 1 0;
    height: calc(100vh - var(--nav-height));
    padding: 25px;
    @media (max-width: 600px) {
      display: block;
      flex: none;
      height: inherit;
      overflow: visible;
    }
    & .wrapper {
      padding: 0;
      @media (max-width: 600px) {
        display: block;
        flex: none;
        height: inherit;
        overflow: visible;
      }
      &.single .chart-card .wrapper {
        padding-top: 30px;
      }
      & .chart-card {
        min-width: 400px;
        @media (max-width: 768px) {
          flex: 0;
          min-width: 100%;
        }
        & .wrapper {
          background: white;
          border: 1px solid #bbb;
          box-sizing: border-box;
          padding: 5px;
          position: relative;
          & footer {
            margin: 0;
            position: absolute;
            right: 0;
            top: 0;
            & button {
              background: white;
              padding: 0 5px;
              &:before {
                font-size: 14px;
                margin: 0;
              }
              & span {
                display: none;
              }
              &:hover:before {
                color: var(--red);
              }
            }
          }
        }
      }
    }
  }
}

.visualize-intro {
  align-items: flex-start;
  background-color: var(--white);
  display: flex;
  height: 100vh;
  justify-content: center;
  padding: 0;
  width: 100%;
  @media (max-width: 900px) {
    align-items: center;
    flex-direction: column;
    height: auto;
  }
  & .text {
    margin: 0 35px;
    padding-top: calc(var(--nav-height) + 35px);
    width: 350px;
    & .video {
      height: 197px;
      width: 350px;
    }
    & p {
      margin: 10px 0;
      width: 100%;
    }
  }
  & .examples {
    flex: 1;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: calc(var(--nav-height) + 35px) 35px 35px 0;
    @media (max-width: 900px) {
      flex: none;
      height: auto;
      overflow: none;
      padding: 35px 0 0;
      width: 100%;
    }
    & .carousel {
      margin-bottom: 25px;

      & h2 {
        font-size: 24px;
        margin-bottom: 0;
        padding-left: calc(25px + 1rem);
        & svg {
          height: 25px;
          margin-right: 5px;
          margin-top: -2px;
          vertical-align: top;
          width: 25px;
          & *[stroke="#FFFFFF"] {
            stroke: var(--black);
          }
          & *[fill="#FFFFFF"] {
            fill: var(--black);
          }
        }
      }

      /* slide layout */
      & .slick-list {
        /* offset item spacing */
        margin: 0 0 0 25px;
        width: calc(100% - 50px);

        /* space out items */
        & .slick-slide {
          margin: 1rem;
        }

        /* equally sized cards (width & height) */
        & .slick-track {
          display: flex;

          & > * {
            display: flex;
            flex: 1 1 25%;
            margin: 0 1rem;

            & > * {
              display: flex;
              width: 100%;

              & > * {
                width: 100%;
              }
            }
          }
        }
      }

      /* controls */
      & .slick-arrow {
        opacity: 0.5;
        position: absolute;
        top: 50%;
        transform: translate(0, -50%);
        transition: opacity 0.1s ease-out;
        width: 25px;
        z-index: 1;

        /* theming */
        & .slick-arrow-button {
          border: 0;
          background: none;
          padding: 0;
          width: 25px;

          &:focus {
            outline: none;
          }
          & .pt-icon-standard {
            font-size: 20px;
          }
        }

        /* left / right arrow positioning */
        &.slick-prev {
          left: 0.5rem; /* half width */
        }
        &.slick-next {
          right: 0.5rem; /* half width */
        }

        /* interactions */
        &:hover {
          opacity: 1;
        }

        /* hidden state (on first or last slide) */
        &.slick-disabled {
          opacity: 0;
        }
      }

      /* vendor styles */
      & .slick-loading .slick-slide,
      & .slick-loading .slick-track {
        visibility: hidden;
      }

      & .slick-slider {
        position: relative;
        user-select: none;
        touch-action: pan-y;
        -webkit-touch-callout: none;
        -webkit-tap-highlight-color: transparent;
      }

      & .slick-list {
        overflow: hidden;
        /* cursor: ew-resize; */

        &.dragging {
          cursor: pointer;
          cursor: hand;
        }
      }

      & .slick-track:after,
      & .slick-track:before {
        display: table;
        content: '';
      }

      & .slick-track:after {
        clear: both;
      }

      & .slick-slide {
        display: none;
        float: left;
      }
    }
  }
  & .advanced {
    margin: 10px 0;
    opacity: 0.5;
    &:hover {
      cursor: pointer;
      opacity: 1;
      text-decoration: underline;
    }
  }
}
